<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>ejemplo6</title>
	<script type="text/javascript">
		/*inicializacion de variable global*/
		let celdas=[];
		/*en cada uno de los td debe colocar un numero aleatorio de 1 a 10 */
			function inicio(){
				celdas=document.querySelectorAll("td");
				for (let i=0; i<celdas.length; i++) {
					celdas[i].innerHTML=parseInt(Math.random()*10);
				}

			}
		/*cuando el usuario haga clic en la celda de vacia y se coloca el fondo azul*/
			function vazul(objeto) {
				objeto.innerHTML="";
				objeto.style.backgroundColor = 'blue';
			}
	</script>
</head>
<body onload="inicio()">
	<table border="1">
		<tr>
			<td onclick="vazul(this)"> </td>
			<td onclick="vazul(this)"> </td>
			<td onclick="vazul(this)"> </td>
			<td onclick="vazul(this)"> </td>
			<td onclick="vazul(this)"> </td>
		</tr>
	</table>
</body>
</html>